<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.third.iotsysconf.mapper.IotSysConfMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="iotSysConfResultMap" type="org.springblade.third.iotsysconf.entity.IotSysConf">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="host" property="host"/>
        <result column="port" property="port"/>
        <result column="app_id" property="appId"/>
        <result column="app_secret" property="appSecret"/>
        <result column="prefix" property="prefix"/>
        <result column="platform" property="platform"/>
    </resultMap>


    <select id="selectIotSysConfPage" resultMap="iotSysConfResultMap">
        select * from third_iot_sys_conf where is_deleted = 0
    </select>

</mapper>
